﻿using System;
using System.Collections.ObjectModel;
using System.Windows;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            ObservableCollection<DateInformation> collection = new ObservableCollection<DateInformation>();

            collection.Add(new DateInformation(new DateTime(1999, 3, 23)));
            collection.Add(new DateInformation(new DateTime(1945, 7, 14)));
            collection.Add(new DateInformation(new DateTime(2005, 9, 2 )));
            collection.Add(new DateInformation(new DateTime(1899, 1, 8 )));
            collection.Add(new DateInformation(new DateTime(1983, 6, 20)));

            this.dataGrid.DataContext = collection;
        }

        #endregion
    }
}